### Method

# Gtk TextIterforward_cursor_position

#### Declaration [src]

    gboolean
    gtk_text_iter_forward_cursor_position (
      GtkTextIter* iter
    )

#### Description [src]

Moves `iter` forward by a single cursor position.

Cursor positions are (unsurprisingly) positions where the cursor can appear. Perhaps surprisingly, there may not be a cursor position between all characters. The most common example for European languages would be a carriage return/newline sequence.

For some Unicode characters, the equivalent of say the letter “a” with an accent mark will be represented as two characters, first the letter then a “combining mark” that causes the accent to be rendered; so the cursor can’t go between those two characters.

See also the `PangoLogAttr` struct and the `pango_break()` function.

#### Return value

Type: `gboolean`

`TRUE` if we moved and the new position is dereferenceable.